TakenAt: 2024-02-03T17:41:12Z
TakenAtLocal: 2024-02-03T17:41:12Z
TakenSrc: meta
UID: pt67wsu9qmvxyse1
Type: image
Title: Whitman Laboratories / Petersfield / 2024
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 71
Lat: 51.00528611111111
Lng: -0.9509777777777777
Year: 2024
Month: 2
Day: 3
ISO: 400
Exposure: 1/50
FNumber: 2.2
FocalLength: 14
Quality: 4
Details:
  Keywords: bedford, england, grey, laboratories, petersfield, recents, road, united-kingdom,
    whitman
  Software: "17.3"
  SoftwareSrc: meta
CreatedAt: 2025-11-24T06:31:42Z
UpdatedAt: 2025-11-24T09:26:18Z
